<template>
  <div class="container">
    <div class="grid-container">
      <v-card
        style="margin-top: 20px"
        class="mx-auto"
        max-width="400"
        v-for="item in items"
        :key="item.id"
      >
        <div class="box" style="margin: 20px">
          <v-img :src="item.coverimage" width="400px" cover></v-img>
        </div>
        <h3 style="text-align: center">Attractions</h3>
        <v-card-title> </v-card-title>

        <v-card-subtitle>
          <h4>Id : {{ item.id }}</h4>
          <h4>name : {{ item.name }}</h4>
        </v-card-subtitle>
        <v-card-text>
          <p><b>Detail :</b> {{ item.detail }}</p>
        </v-card-text>
        <v-card-actions>
          <v-btn color="orange-lighten-2" variant="text"> Explore </v-btn>
          <v-spacer></v-spacer>
          <v-btn color="blue" variant="text"> BUTTON </v-btn>
        </v-card-actions>
      </v-card>
    </div>
  </div>
</template>

<script>
import { ref } from "vue";
const items = ref([]);

fetch("https://www.melivecode.com/api/attractions")
  .then((res) => res.json())
  .then((result) => {
    items.value = result;
    console.log(result);
  });

export default {
  setup() {
    return {
      items,
    };
  },
};
</script>

<style scoped>
.card-container {
  margin: 5%;
}
.grid-container {
  display: grid;
}
@media (min-width: 576px) {
  .grid-container {
    grid-template-columns: repeat(1, 1fr);
  }
}
@media (min-width: 930px) {
  .grid-container {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (min-width: 1376px) {
  .grid-container {
    grid-template-columns: repeat(3, 1fr);
  }
}
.container {
  width: 100%;
  /* height: 900px; */
  padding-bottom: 15%;
  padding-top: 2%;
  background-repeat: no-repeat;
  background-position: center;
  background-size:cover;
  background-attachment: fixed;
  position: relative;
  background-image: url("https://i0.wp.com/i.redd.it/0nu9n7wc08k11.jpg?ssl=1");
}
</style>